Subject: Re: REQUEST: sample code for a gnu-win32 DLL that is usable with Visual Basic
From: [email-masked] (Matt Calder)

4 Apr 1997 08:31:44 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SUN.3.96.970403212230.14945A-100000.cygnus.gnu-win32@tlaloc>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Authentication-Warning: tlaloc.stat.colostate.edu: calder owned process doing -bs
X-Sender: calder@tlaloc
Original-To: [email-masked]
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Toni,
	I do not know if the problem you are having is
the same as the one I am wrestling with but it might be 
a lead for you. I am loading 32-bit dll's into a 16-bit
program via generic thunking. I have been successful 
with MSVC, Borland, but ran into a brick wall with gnu-32.
If I write a 16-bit executable I can load a gnu-32 dll
into it, but, if I write a 16-bit dll and try to load 
the gnu-32 dll into it, it fails. (This is the MS suggested
method by the way). Recently I installed the 'Minimalist'
gnu-32 (see link on Cygnus web page) and am able to load
dll's produced from it into 16-bit dlls.
	I am not sure what the reason for this behaviour
is, but I think that if a 32-bit dll requires another dll
then there are problems. This is not completely accurate,
things work fine if the dependency is on a system type dll
which leads me to suspect dll's aren't getting found. 
So, if the VB loader is a dll you might be having
the same problem I am. I tried moving cygwin.dll to the 
windows system, no go (oh if life were so easy). 
	Dll's are the lingua franca of Windows, if anyone
can shed some light on why these types of failures occur
I am sure many users (current and potential) will benefit.

Matt	

On Thu, 3 Apr 1997 [email-masked] wrote:

> Folks-
> 
>    I have seen several examples for building DLL's with gnu-win32, but
> none of the ones I've tested can be used by Visual Basic.  Does someone
> have sample gnu-win32 code for a DLL that does work with VB?  I'm using
> gnu-win32 17.1 under Windows 95.
> 
>    Thanks in advance.
> 
> Toni L. Harbaugh-Blackford
> [email-masked]
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

/*****************************************/
/* Matt Calder, Dept. of Statistics, CSU */
/* http://www.stat.colostate.edu/~calder */
/*****************************************/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".